Docs

Get a discount group

Returns a discount group using its ID.

GET /discount-groups/{discount_group_id}
Returns a discount group using its ID.

Requires discount.read permission.

Path parameters

discount_group_idstringrequired
Paddle ID of the discount group entity to work with.
Pattern: ^dsg_[a-z\d]{26}$

Response (200)

dataobjectrequired
Represents a discount group entity.
idstringrequired
Example: dsg_01js2gqehzccfkywgx1jk2mtsp
Unique Paddle ID for this discount group, prefixed with dsg_.
Pattern: ^dsg_[a-z\d]{26}$
namestringrequired
Unique name of this discount group, typically something short and memorable for categorization. Not shown to customers.
Length: 1–500
statusstringrequired
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
Response
{
"data": {
"id": "dsg_01hv6scyf7qdnzcdq01t2y8dx4",
"status": "active",
"name": "Black Friday 2024",
"import_meta": null,
"created_at": "2024-11-28T14:36:14.695Z",
"updated_at": "2024-11-28T14:36:14.695Z"
},
"meta": {
"request_id": "74d0b3ed-9eba-437e-bbcc-f5619bb5a661"
}
}

Was this page helpful?